Sharepoint 2019 - Databases require upgrade or not supported

Daniel 61 Reputation points
2022-11-30T10:50:52.407+00:00

We have a Sharepoint 2019 on-premise farm and the health analyzer shows an error:

The following databases require upgrade because their versions are older than the backwards compatible range:

SP_SUBSCRIPTIONSERVICE

We recently patched the farm, and the "Check product and patch installation status" shows no differences between the servers, all have "16.0.10392.20000" installed.

I tested and ran the psconfigGUI again on one of the app servers but it didnt remove the error.

Powershell shows me:

PS C:\Windows\system32> Get-SPDatabase a49d682a-ab6c-4fb2-b934-6d2a16246975 | select name,needsupgrade

Name NeedsUpgrade

---- ------------

SP_SUBSCRIPTIONSERVICE False

How can I remove the error from the health analyzer?

SharePoint Server Management
SharePoint Server Management
SharePoint Server: A family of Microsoft on-premises document management and storage systems.Management: The act or process of organizing, handling, directing or controlling something.
2,897 questions
{count} votes

4 answers

Sort by: Most helpful
  1. Yi Lu_MSFT 17,471 Reputation points
    2022-12-01T09:45:39.173+00:00

    Hi @Daniel
    According to the error message, the databases have versions that are earlier than the current SharePoint software, but are within the backward-compatible range. To achieve optimal results, upgrade the databases. You may need to upgrade content databases to SharePoint 2019.

    For more information, you could refer to:
    https://learn.microsoft.com/en-us/sharepoint/technical-reference/databases-running-in-compatibility-range-upgrade-recommended


    If the answer is helpful, please click "Accept Answer" and kindly upvote it. If you have extra questions about this answer, please click "Comment".

    Note: Please follow the steps in our documentation to enable e-mail notifications if you want to receive the related email notification for this thread.


  2. Yi Lu_MSFT 17,471 Reputation points
    2022-12-02T08:45:14.583+00:00

    Hi @Daniel
    I notice that Powershell shows you:

    PS C:\Windows\system32> Get-SPDatabase a49d682a-ab6c-4fb2-b934-6d2a16246975 | select name,needsupgrade

    Name NeedsUpgrade

    SP_SUBSCRIPTIONSERVICE False

    The SP_SUBSCRIPTIONSERVICE database does not need to upgrade, so it may be a mistake of health analyzer? You could try to reanalyze it again by clicking view the item:

    266562-image.png

    You could also try to disable the related rule to avoid this error.

    What's more, the Subscription Settings service application and database are not created by the SharePoint Products Configuration Wizard — they must be created by using PowerShell cmdlets or SQL Server. So run psconfig could not do any help.

    If it is convenient, you could also try to delete the service and create a new one. Here is a similar case which uses this method to solve the problem:
    https://social.technet.microsoft.com/Forums/office/en-US/79cc2722-c123-479c-b9cd-aff7822e2dcf/error-from-health-analyzer-databases-require-upgrade-or-not-supported?forum=SP2016


    If the answer is helpful, please click "Accept Answer" and kindly upvote it. If you have extra questions about this answer, please click "Comment".

    Note: Please follow the steps in our documentation to enable e-mail notifications if you want to receive the related email notification for this thread.

    0 comments No comments

  3. Daniel 61 Reputation points
    2022-12-07T10:16:04.587+00:00

    Hi,

    When you first responded I double checked health analyzer and it had disappeared and I was about to close this thread. Now Operations Manager is sending alarms about this error again.

    "The following databases require upgrade because their versions are older than the backwards compatible range:
    SP_SUBSCRIPTIONSERVICE."

    I don't want to brute force and turn of potential important notifications.

    There are new patches coming for december month soon, perhaps the error will disappear. It's just annoying...

    0 comments No comments

  4. Andrei Nikolaev 0 Reputation points
    2024-07-18T09:53:19.8333333+00:00

    Hello,

    I have the same issue. Was there any solution found on that cause?

    Thank you.

    0 comments No comments